#define MAXDESCLENGTH   4096

#define ptReserved    0
#define ptSameFile    1
#define ptParentItem  2
#define ptItemList    3
#define ptDiskInfo    4

#define DT_FLOPPY525_360     0
#define DT_FLOPPY525_12      1
#define DT_FLOPPY35_720      2
#define DT_FLOPPY525_8SD     3
#define DT_FLOPPY525_8DD     4
#define DT_HARDDISK          5
#define DT_TAPEDRIVE         6
#define DT_FLOPPY35_144      7
#define DT_OPTICAL           8
#define DT_FLOPPY35_288      9
#define DT_CDROM             10
#define DT_NETWORK           11
#define DT_RAMDISK           12
#define DT_REMOVABLE         13
#define DT_ZIPDRIVE          14
#define DT_JAZDRIVE          15
#define DT_ZIPDRIVEPLUS      16
#define DT_SEAGATEDIRECTTAPE 17
#define DT_LS120             18
#define DT_MOS320            19
#define DT_MOS332            20
#define DT_M2531A            21
#define DT_JAZ2DRIVE         22
#define DT_UNKNOWN           255

typedef struct {
  LPCSTR lpszRootPath;
  LPCSTR lpszVirtualRoot;
  LPCSTR lpszVolumeLabel;
  LPCSTR lpszFSName;
  INT iMaxNameLength;
  DWORD dwSerialNumber;
  WORD wDiskNum;
  WORD wMediaType;
  INT iBytesPerSector;
  INT iSectorsPerCluster;
  INT iTotalClusters;
  INT iFreeClusters;
  INT iNumberOfFiles;
  INT iNumberOfCompressedFiles;
  WORD wNumberOfDirs;
} DISKINFORECORD, FAR *LPDISKINFOREC;

